AI agent?先讀 /llms.txt 取得全站索引。

籌碼與資金

平盤下融券借券管控

平盤下融券借券管控

已驗證來源: TWSE·方案: max·計費: 2 ·GET /v2/datasets/short-sale-balance-control

平盤下融券借券管控是台灣市場資料集,來源為 TWSE,由 TW Market Data 以 GET /v2/datasets/short-sale-balance-control 提供。

總覽

平盤下融券借券管控——每列粒度:ticker / trade_date。

欄位型別說明
trade_datestring
tickerstring
namestring
ms_prev_balancenumber
ms_sellnumber
ms_buynumber
ms_redeemnumber
ms_balancenumber融券餘額
ms_next_limitnumber次日融券限額
sbl_prev_balancenumber
sbl_sellnumber
sbl_returnnumber
sbl_adjustnumber
sbl_balancenumber借券賣出餘額
sbl_next_limitnumber次日借券限額
notenull
marketstring

範例回應

此為本端點的真實回應。資料列位於 "data" 之下,來源資訊如下方所示;各資料集形狀不盡相同,請以本頁為準。

{  "dataset_id": "short_sale_balance_control",  "request_context": {    "scope": "twse_credit_total_control_balance_only",    "coverage_type": "official_dated_daily",    "filters": {      "trade_date": null,      "date_from": null,      "date_to": null,      "ticker": "5269",      "market": null,      "source_family": null,      "limit": 50    },    "min_trade_date": "2026-07-01",    "max_trade_date": "2026-08-05"  },  "quality": {    "row_count": 16,    "ticker_count": 1,    "sensitive_fields_exposed": false  },  "lineage": {    "source_families": [      "TWSE_TWT93U",      "twse_short_sale_balance_control"    ],    "semantics": "TWSE TWT93U 信用額度總量管制餘額表: ms_* = 融券, sbl_* = 借券; *_next_limit = 次一營業日限額"  },  "error": null,  "data": [    {      "trade_date": "2026-08-05",      "ticker": "5269",      "name": "祥碩",      "ms_prev_balance": 462000,      "ms_sell": 7000,      "ms_buy": 0,      "ms_redeem": 3000,      "ms_balance": 466000,      "ms_next_limit": 18539169,      "sbl_prev_balance": 4464000,      "sbl_sell": 6000,      "sbl_return": 34000,      "sbl_adjust": 0,      "sbl_balance": 4436000,      "sbl_next_limit": 302079,      "note": null,      "market": "TWSE",      "source_family": "twse_short_sale_balance_control",      "lineage": {        "endpoint": "https://www.twse.com.tw/exchangeReport/TWT93U",        "source_provider": "twse_official",        "source_role": "official_twse_twt93u",        "source_family": "twse_short_sale_balance_control",        "source_title": "115年08月05日 信用額度總量管制餘額表",        "request_params": {          "date": "20260805",          "response": "json"        },        "source_url": "https://www.twse.com.tw/exchangeReport/TWT93U?response=json&date=20260805",        "parsed_by": "position"      }    },    {      "trade_date": "2026-08-04",      "ticker": "5269",      "name": "祥碩",      "ms_prev_balance": 488000,      "ms_sell": 3000,      "ms_buy": 8000,      "ms_redeem": 21000,      "ms_balance": 462000,      "ms_next_limit": 18539169,      "sbl_prev_balance": 4489000,      "sbl_sell": 6000,      "sbl_return": 31000,      "sbl_adjust": 0,      "sbl_balance": 4464000,      "sbl_next_limit": 301627,      "note": null,      "market": "TWSE",      "source_family": "twse_short_sale_balance_control",      "lineage": {        "endpoint": "https://www.twse.com.tw/exchangeReport/TWT93U",        "source_provider": "twse_official",        "source_role": "official_twse_twt93u",        "source_family": "twse_short_sale_balance_control",        "source_title": "115年08月04日 信用額度總量管制餘額表",        "request_params": {          "date": "20260804",          "response": "json"        },        "source_url": "https://www.twse.com.tw/exchangeReport/TWT93U?response=json&date=20260804",        "parsed_by": "position"      }    }  ],  "data_count": 16,  "known_gaps": [    "twse_only",    "recent_window_initial_load_full_history_backfill_pending",    "not_investment_advice"  ],  "warnings": [    "not_investment_advice"  ],  "envelope": {    "dataset_id": "short_sale_balance_control",    "scope": "twse_credit_total_control_balance_only",    "row_count": 16  }}

擷取自 2026-07-20 的線上 API。

本頁顯示原始中文值;英文頁會以標記取代,以維持全英文。

出處

以下欄位會隨資料一併回傳,記錄這一列的來源。它們屬於出處而非本資料集要講的事實,因此列在這裡而不進欄位表。

source_familylineage

可與本資料集對齊的其他資料集。每組都標出可用來 join 的欄位,規劃跨表查詢時不必自己猜。

快速開始

  1. 把你的金鑰放進 X-API-Key 標頭。
  2. 加上查詢參數(symbol、日期區間、limit)。
  3. 送出請求並讀取 data 陣列。
curl "https://api.twmarketdata.com/v2/datasets/short-sale-balance-control?symbol=2330" \  -H "X-API-Key: sk_live_..."

篩選參數

參數必填型別說明
symbolstring股票代碼,例如 2330。
start_datestring (YYYY-MM-DD)查詢起始日期。
end_datestring (YYYY-MM-DD)查詢結束日期。
limitinteger回傳筆數上限。

Python 範例

第一個呼叫:

import requests resp = requests.get(    "https://api.twmarketdata.com/v2/datasets/short-sale-balance-control",    params={"symbol": "2330"},    headers={"X-API-Key": "sk_live_..."},)resp.raise_for_status()print(resp.json()["data"])

帶日期區間篩選:

import requests # The full verified example — the same call with every supported filter set.resp = requests.get(    "https://api.twmarketdata.com/v2/datasets/short-sale-balance-control",    params={"symbol": "2330"},    headers={"X-API-Key": "sk_live_..."},)resp.raise_for_status()for row in resp.json()["data"]:    print(row)

OpenAPI

此端點為 GET /v2/datasets/short-sale-balance-control。完整機器可讀 schema(參數、認證、回應封裝)見 OpenAPI spec